#
# spec file for package mingetty (Version 0.9.6s)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mingetty
License:        GPL
Group:          System/Base
Autoreqprov:    on
Version:        0.9.6s
Release:        88.2
Summary:        Minimal Getty for Virtual Consoles Only
Provides:       sysvinit:/sbin/mingetty
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         mingetty-0.9.6s.tar.bz2
Patch:          mingetty-0.9.6s.dif

%description
The mingetty program is a lightweight, minimalist getty program for use
only on virtual consoles.  Mingetty is not suitable for serial lines
(you should use the mgetty program for this purpose).



Authors:
--------
    Miquel van Smoorenburg <miquels@drinkel.ow.nl>
    Florian La Roche <florian@suse.de>
    Werner Fink <werner@suse.de>

%debug_package
%prep
%setup -q
%patch

%build
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -D_FILE_OFFSET_BITS=64" DEFTERM=linux

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}{/sbin,%{_mandir}/man8}
make install MANPATH=%{_mandir} DESTDIR=${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,755)
/sbin/mingetty
%doc %{_mandir}/man8/mingetty.8.gz

%changelog -n mingetty
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Mar 30 2004 - werner@suse.de
- Remove kernel include hopefully glibc does this jobs for now
  and in future.
* Tue Mar 30 2004 - werner@suse.de
- More about UTF-8: enable the kernel to erease UTF-8 multi byte
  characters (bug #37367)
- Therefore add workaround if glibc bits/termios.h is missing
  the IUTF8 input flag.
* Fri Mar 26 2004 - werner@suse.de
- Not all architectures do provide KDGKBMODE ioctl (s390/s390x)
* Wed Feb 18 2004 - werner@suse.de
- Add UTF-8 support for login name if and only if current console
  is in utf-8 mode (fix bug #34520)
* Sat Oct 18 2003 - kukuk@suse.de
- Move mingetty in extra package
- Build as normal user
* Thu Jun 05 2003 - mfabian@suse.de
- if the option "--noclear" is not set, don't write a full reset
  because this leaves the unicode mode again if the terminal was in
  unicode mode and it also undos the ESC sequences in CONSOLE_MAGIC
  which are needed for some languages/console-fonts.
  Just put the cursor the home position (ESC [ H) and erase
  everything below the cursor (ESC [ J).
* Thu Nov 14 2002 - werner@suse.de
- Update to mingetty 0.9.6s
  * Be sure to get controlling tty
  * Avoid overruns in string handling
* Wed Nov 13 2002 - werner@suse.de
- Update to mingetty 0.9.5s (s stand for SuSE)
  * New old option for avoiding vcs/vcsa hangup, terminal
  reset, and the usage of the glibc for updating wtmp.
  * Now the default terminal type can be set at compile
  time as an make option.
* Thu Apr 25 2002 - werner@suse.de
- changes on mingetty (new version 0.9.4c)
  * Add support for other TTY devices than virtual console
  * Add nohost patch from Anders ??
* Mon Apr 19 1999 - werner@suse.de
- mingetty: reset not only /dev/tty<line> but /dev/vcs<line> and
  /dev/vcsa<line> also
